using System;

namespace MatrizMulti
{
  class Program
  {
    public static void Main(string[] args)
    {
      int filas = 5;
      int columnas = 10;
      double[,] matriz2d = new double[filas,columnas];
      int fila = 0;
      int col = 0;

      // Introducir los valores. Los calculamos
      // de forma aleatoria.
      System.Random rnd = new System.Random();
      for (fila = 0; fila < filas; fila++)
      {
        for (col = 0; col < columnas; col++)
        {
          matriz2d[fila,col] = rnd.NextDouble() * 100;
        }
      }
      // Mostrar los valores de la matriz y
      // su valor máximo
      double max = 0;
      max = matriz2d[0,0]; // valor máximo inicial
      for (fila = 0; fila < filas; fila++)
      {
        for (col = 0; col < columnas; col++)
        {
          // Mostrar el valor de la posición: fila, col
          Console.Write("{0,7:F2}", matriz2d[fila,col]);
          // Calcular el valor máximo
          if (matriz2d[fila,col] > max)
          {
            max = matriz2d[fila,col];
          }
        }
        Console.WriteLine();
      }
      // Mostrar el valor máximo
      Console.Write("Valor máximo: {0,7:F2}\n", max);
      
      Console.Write("Pulse una tecla para continuar...");
      Console.ReadKey(true);
    }
  }
}
